Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.serverfactory
Class PelletReasonerFactory

    java.lang.Object
      org.semanticweb.owlapi.owllink.server.serverfactory.PelletReasonerFactory

    public class PelletReasonerFactory

extends java.lang.Object

Field Summary
`static java.lang.String` | `CLASS_NAME`

Constructor Summary
`PelletReasonerFactory()`

Method Summary
`OWLReasoner` | `createReasoner(OWLOntologyManager manager, java.util.Set<OWLOntology> ontologies)` Creates an instance of the pellet reasoner.
`java.lang.String` | `getReasonerName()`
`void` | `setABoxLogging(java.util.logging.Level level)`
`void` | `setKnowledgeBaseLogging(java.util.logging.Level level)`
`void` | `setLoggingLevel(java.lang.String className, java.util.logging.Level level)`
`void` | `setPelletVisitorLogging(java.util.logging.Level level)`
`void` | `setRBoxLogging(java.util.logging.Level level)`
`void` | `setTaxonomyLogging(java.util.logging.Level level)`
`void` | `setTracingEnabled(boolean b)` Specifies whether or not tracing should be used.
`void` | `setUseConsoleProgressMonitor()`
`void` | `turnOffLogging()` Turns off pellet logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

See Also:
  Constant Field Values

Constructor Detail

### PelletReasonerFactory

    public PelletReasonerFactory()

Method Detail

### setTracingEnabled

    public void setTracingEnabled(boolean b)

  Specifies whether or not tracing should be used.

  Parameters:
    `b` - `true` if tracing should be used, otherwise `false`.

### setUseConsoleProgressMonitor

    public void setUseConsoleProgressMonitor()

### turnOffLogging

    public void turnOffLogging()

  Turns off pellet logging. This turns off ABox logging, Taxonomy logging, KnowledgeBase logging, RBox logging and PelletVisitor logging.

### setPelletVisitorLogging

    public void setPelletVisitorLogging(java.util.logging.Level level)

### setRBoxLogging

    public void setRBoxLogging(java.util.logging.Level level)

### setKnowledgeBaseLogging

    public void setKnowledgeBaseLogging(java.util.logging.Level level)

### setTaxonomyLogging

    public void setTaxonomyLogging(java.util.logging.Level level)

### setABoxLogging

    public void setABoxLogging(java.util.logging.Level level)

### setLoggingLevel

    public void setLoggingLevel(java.lang.String className,
                                java.util.logging.Level level)

### getReasonerName

    public java.lang.String getReasonerName()

### createReasoner

    public OWLReasoner createReasoner(OWLOntologyManager manager,
                                      java.util.Set<OWLOntology> ontologies)
                               throws OWLReasonerSetupException

  Creates an instance of the pellet reasoner.

  Parameters:
    `manager` - The manager
  Returns:
    An instance of OWLReasoner that corresponds to the Pellet reasoner.
  Throws:
    `OWLReasonerSetupException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD